Toggle creditor block status
curl --request PATCH \
--url https://api.hub.younegotiate.com/manage-creditors/{company}/block-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hub.younegotiate.com/manage-creditors/{company}/block-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hub.younegotiate.com/manage-creditors/{company}/block-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Acme Recovery blocked. Users cannot log in.",
"data": {
"id": 123,
"company_name": "<string>",
"company_type": {
"value": "debt-buyer",
"label": "Debt Buyer"
},
"contact": {
"name": "<string>",
"email": "jsmith@example.com"
},
"root_creditor": {
"id": 123,
"name": "<string>",
"email": "jsmith@example.com"
},
"recipient": {
"name": "<string>",
"email": "jsmith@example.com"
},
"status_badge": {
"label": "AM",
"tooltip": "Active Member"
},
"membership": {
"plan_name": "<string>",
"upload_accounts_limit": 123
},
"consumer_stats_loaded": true,
"consumers_count": 123,
"total_balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"actions": {
"can_block": true,
"can_unblock": true,
"can_export_consumers": true,
"can_send_email": true,
"can_login_as": true,
"can_delete": true,
"can_view_profile": true
},
"action_items": [
{
"label": "<string>",
"available": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Toggle creditor block status
Block or unblock a creditor company. Blocking prevents creditor login and queues the blocked-account notification email when an owner email is available.
PATCH
/
manage-creditors
/
{company}
/
block-status
Toggle creditor block status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Creditor company ID.
Last modified on July 20, 2026
Was this page helpful?
⌘I

